<?php 

	$hexagon_custom_style = '';

	// Logo Size
	$hexagon_logo_top_padding = get_theme_mod('hexagon_logo_top_padding');
	$hexagon_logo_bottom_padding = get_theme_mod('hexagon_logo_bottom_padding');
	$hexagon_logo_left_padding = get_theme_mod('hexagon_logo_left_padding');
	$hexagon_logo_right_padding = get_theme_mod('hexagon_logo_right_padding');

	if( $hexagon_logo_top_padding != '' || $hexagon_logo_bottom_padding != '' || $hexagon_logo_left_padding != '' || $hexagon_logo_right_padding != ''){
		$hexagon_custom_style .=' .logo {';
			$hexagon_custom_style .=' padding-top: '.esc_attr($hexagon_logo_top_padding).'px; padding-bottom: '.esc_attr($hexagon_logo_bottom_padding).'px; padding-left: '.esc_attr($hexagon_logo_left_padding).'px; padding-right: '.esc_attr($hexagon_logo_right_padding).'px;';
		$hexagon_custom_style .=' }';
	}

	// Product section padding
	$hexagon_service_section_padding = get_theme_mod('hexagon_service_section_padding');

	if( $hexagon_service_section_padding != ''){
		$hexagon_custom_style .=' #our_service {';
			$hexagon_custom_style .=' padding-top: '.esc_attr($hexagon_service_section_padding).'px; padding-bottom: '.esc_attr($hexagon_service_section_padding).'px;';
		$hexagon_custom_style .=' }';
	}

	// Site Title Font Size
	$hexagon_site_title_font_size = get_theme_mod('hexagon_site_title_font_size');
	if( $hexagon_site_title_font_size != ''){
		$hexagon_custom_style .=' .logo h1.site-title, .logo p.site-title {';
			$hexagon_custom_style .=' font-size: '.esc_attr($hexagon_site_title_font_size).'px;';
		$hexagon_custom_style .=' }';
	}

	$hexagon_site_title_color = get_theme_mod('hexagon_site_title_color');

	if ( $hexagon_site_title_color != '') {
		$hexagon_custom_style .='.logo p.site-title a{';
			$hexagon_custom_style .=' color:'.esc_attr($hexagon_site_title_color).';';
		$hexagon_custom_style .=' }';
	}

	// Site Tagline Font Size
	$hexagon_site_tagline_font_size = get_theme_mod('hexagon_site_tagline_font_size');
	if( $hexagon_site_tagline_font_size != ''){
		$hexagon_custom_style .=' .logo p.site-description {';
			$hexagon_custom_style .=' font-size: '.esc_attr($hexagon_site_tagline_font_size).'px;';
		$hexagon_custom_style .=' }';
	}

	$hexagon_site_tagline_color = get_theme_mod('hexagon_site_tagline_color');

	if ( $hexagon_site_tagline_color != '') {
		$hexagon_custom_style .=' p.site-description {';
			$hexagon_custom_style .=' color:'.esc_attr($hexagon_site_tagline_color).';';
		$hexagon_custom_style .=' }';
	}

	// Site Title Font Size
	$hexagon_slider_hide_show = get_theme_mod('hexagon_slider_hide_show',false);
	if( $hexagon_slider_hide_show == true){
		$hexagon_custom_style .=' .page-template-custom-home-page #inner-pages-header {';
			$hexagon_custom_style .=' display:none;';
		$hexagon_custom_style .=' }';
	} else {
		$hexagon_custom_style .=' .page-template-custom-home-page .header-box {';
			$hexagon_custom_style .=' background: radial-gradient( circle farthest-corner at 10% 35%,#5127c3 0%,#c166ef 100.3% );';
		$hexagon_custom_style .=' }';
	}

	//Menu animation
	$hexagon_dropdown_anim = get_theme_mod('hexagon_dropdown_anim');

	if ( $hexagon_dropdown_anim != '') {
		$hexagon_custom_style .=' .nav-menu ul ul {';
			$hexagon_custom_style .=' animation:'.esc_attr($hexagon_dropdown_anim).' 1s ease;';
		$hexagon_custom_style .=' }';
	}

	//Header color
	$hexagon_header_menu_color = get_theme_mod('hexagon_header_menu_color');
	if ( $hexagon_header_menu_color != '') {
		$hexagon_custom_style .='.nav-menu a{';
			$hexagon_custom_style .=' color:'.esc_attr($hexagon_header_menu_color).';';
		$hexagon_custom_style .=' }';
	}

	$hexagon_header_menubdr_color = get_theme_mod('hexagon_header_menubdr_color');
	if ( $hexagon_header_menubdr_color != '') {
		$hexagon_custom_style .='.nav-menu a:before{';
			$hexagon_custom_style .=' background-color:'.esc_attr($hexagon_header_menubdr_color).';';
		$hexagon_custom_style .=' }';
	}

	// Copyright padding
	$hexagon_copyright_padding = get_theme_mod('hexagon_copyright_padding');

	if( $hexagon_copyright_padding != ''){
		$hexagon_custom_style .=' .site-info {';
			$hexagon_custom_style .=' padding-top: '.esc_attr($hexagon_copyright_padding).'px; padding-bottom: '.esc_attr($hexagon_copyright_padding).'px;';
		$hexagon_custom_style .=' }';
	}

	//Slider color
	$hexagon_slider_color = get_theme_mod('hexagon_slider_color');
	if ( $hexagon_slider_color != '') {
		$hexagon_custom_style .='#category .text-content h1,#category .text-content p,#category .read-btn a{';
			$hexagon_custom_style .=' color:'.esc_attr($hexagon_slider_color).';';
		$hexagon_custom_style .=' }';
	}

	$hexagon_slider_title_font_size = get_theme_mod('hexagon_slider_title_font_size');
	if ( $hexagon_slider_title_font_size != '') {
		$hexagon_custom_style .='#category .text-content h1{';
			$hexagon_custom_style .=' font-size:'.esc_attr($hexagon_slider_title_font_size).'px;';
		$hexagon_custom_style .=' }';
	}

	$hexagon_slider_text_font_size = get_theme_mod('hexagon_slider_text_font_size');
	if ( $hexagon_slider_text_font_size != '') {
		$hexagon_custom_style .='#category .text-content p{';
			$hexagon_custom_style .=' font-size:'.esc_attr($hexagon_slider_text_font_size).'px;';
		$hexagon_custom_style .=' }';
	}

	//Service color
	$hexagon_service_img_size = get_theme_mod('hexagon_service_img_size');
	if( $hexagon_service_img_size != ''){
		$hexagon_custom_style .=' #our_service img {';
			$hexagon_custom_style .=' width: '.esc_attr($hexagon_service_img_size).'px; height: '.esc_attr($hexagon_service_img_size).'px;';
		$hexagon_custom_style .=' }';
	}

	$hexagon_services_title_font_size = get_theme_mod('hexagon_services_title_font_size');
	if ( $hexagon_services_title_font_size != '') {
		$hexagon_custom_style .='#our_service h2{';
			$hexagon_custom_style .=' font-size:'.esc_attr($hexagon_services_title_font_size).'px;';
		$hexagon_custom_style .=' }';
	}

	$hexagon_services_font_size = get_theme_mod('hexagon_services_font_size');
	if ( $hexagon_services_font_size != '') {
		$hexagon_custom_style .='.content-topic h3{';
			$hexagon_custom_style .=' font-size:'.esc_attr($hexagon_services_font_size).'px;';
		$hexagon_custom_style .=' }';
	}

	$hexagon_title_color = get_theme_mod('hexagon_title_color');

	if ( $hexagon_title_color != '') {
		$hexagon_custom_style .='#our_service h2{';
			$hexagon_custom_style .=' color:'.esc_attr($hexagon_title_color).';';
		$hexagon_custom_style .=' }';
	}

	$hexagon_service_title_color = get_theme_mod('hexagon_service_title_color');

	if ( $hexagon_service_title_color != '') {
		$hexagon_custom_style .='.content-topic h3{';
			$hexagon_custom_style .=' color:'.esc_attr($hexagon_service_title_color).';';
		$hexagon_custom_style .=' }';
	}

	$hexagon_service_btn_color = get_theme_mod('hexagon_service_btn_color');

	if ( $hexagon_service_btn_color != '') {
		$hexagon_custom_style .='.cat-btn a{';
			$hexagon_custom_style .=' color:'.esc_attr($hexagon_service_btn_color).';';
		$hexagon_custom_style .=' }';
	}

	$hexagon_servicebg_color = get_theme_mod('hexagon_servicebg_color');

	if ( $hexagon_servicebg_color != '') {
		$hexagon_custom_style .='.content-topic{';
			$hexagon_custom_style .=' background-color:'.esc_attr($hexagon_servicebg_color).';';
		$hexagon_custom_style .=' }';
	}

	$hexagon_servicebg_color = get_theme_mod('hexagon_servicebg_color');

	if ( $hexagon_servicebg_color != '') {
		$hexagon_custom_style .='.content-topic:after{';
			$hexagon_custom_style .=' border-top-color:'.esc_attr($hexagon_servicebg_color).';';
		$hexagon_custom_style .=' }';
	}